<?php

namespace Drupal\xero\Plugin\DataType;

/**
 * Xero detail item type.
 *
 * @DataType(
 *   id = "xero_detail",
 *   label = @Translation("Xero Detail"),
 *   definition_class = "\Drupal\xero\TypedData\Definition\DetailDefinition",
 *   list_class = "\Drupal\xero\Plugin\DataType\XeroItemList"
 * )
 */
class Detail extends XeroItemBase {

  /**
   * {@inheritdoc}
   */
  public static $plural_name = '';

  /**
   * {@inheritdoc}
   */
  public static $xero_name = 'Detail';

  /**
   * {@inheritdoc}
   */
  public static $label = 'UnitPrice';

  /**
   * {@inheritdoc}
   */
  public static function getXeroProperty($name): string {
    $allowed_props = ['label'];
    if (!in_array($name, $allowed_props)) {
      throw new \InvalidArgumentException('Invalid xero property.');
    }

    return static::${$name};
  }

}
