<?php

namespace Drupal\xero\Plugin\DataType;

/**
 * Xero Tracking Category type.
 *
 * @see https://developer.xero.com/documentation/api/tracking-categories
 *
 * @DataType(
 *   id = "xero_tracking",
 *   label = @Translation("Xero Tracking Category"),
 *   definition_class = "\Drupal\xero\TypedData\Definition\TrackingCategoryDefinition",
 *   list_class = "\Drupal\xero\Plugin\DataType\XeroItemList",
 * )
 */
class TrackingCategory extends XeroComplexItemBase {

  /**
   * {@inheritdoc}
   */
  static public $guid_name = 'TrackingCategoryID';

  /**
   * {@inheritdoc}
   */
  static public $xero_name = 'TrackingCategory';

  /**
   * {@inheritdoc}
   */
  static public $plural_name = 'TrackingCategories';

  /**
   * {@inheritdoc}
   */
  static public $label = 'Name';

}
