<?php

namespace Drupal\Tests\xero\Traits;

/**
 * A trait for working with tokens in Xero tests.
 *
 * This should only be used by tests that implement getRandomGenerator().
 */
trait XeroTokenTrait {

  /**
   * Create a mock consumer key or secret.
   *
   * @return string
   *   A 30 character string that can be used as a consumer key or secret.
   */
  protected function createToken() {
    return strtoupper(hash('ripemd128', md5($this->getRandomGenerator()->string(30))));
  }

}
